> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-fix-nav-issues.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an invitation

> Creates organization invitation.



## OpenAPI

````yaml /_specs/cloud-openapi.json post /v1/organizations/{organizationId}/invitations
openapi: 3.0.1
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/invitations:
    post:
      tags:
        - User management
      summary: Create an invitation
      description: Creates organization invitation.
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization to invite a user to.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvitationPostRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/Invitation'
        '400':
          description: >-
            The server cannot or will not process the request due to something
            that is perceived to be a client error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
components:
  schemas:
    InvitationPostRequest:
      properties:
        email:
          description: >-
            Email of the invited user. Only a user with this email can join
            using the invitation. The email is stored in a lowercase form.
          type: string
          format: email
        role:
          description: Role of the member in the organization.
          type: string
          enum:
            - admin
            - developer
    Invitation:
      properties:
        role:
          description: Role of the member in the organization.
          type: string
          enum:
            - admin
            - developer
        id:
          description: Unique invitation ID.
          type: string
          format: uuid
        email:
          description: >-
            Email of the invited user. Only a user with this email can join
            using the invitation. The email is stored in a lowercase form.
          type: string
          format: email
        createdAt:
          description: Invitation creation timestamp. ISO-8601.
          type: string
          format: date-time
        expireAt:
          description: Timestamp the invitation expires. ISO-8601.
          type: string
          format: date-time
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````